Subject: Re: bug#3452: 23.0.94; display

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Jun 2009 10:30:20 -0400

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 07 Jun 2009 09:56:05 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Btw, I don't understand how these characters are related to
> > compositions.  They should not be composed with anything, they always
> > stand for themselves.
> 
> I didn't know that.  This means there is a bug in either
> find_composition (called from composition_compute_stop_pos) or
> next_element_from_composition (called from next_element_from_buffer),
> because the following code in next_element_from_buffer (xdisp.c:6519) is
> triggered for this character:
> 
>   if (CHAR_COMPOSED_P (it, IT_CHARPOS (*it), IT_BYTEPOS (*it))
>       && next_element_from_composition (it))
>     {
>        return 1;
>     }

I hope Handa-san could shed some light on this issue.